<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{valueSetManagerSVS.getValueSetFromUrl()}
            <h1>#{messages['gazelle.svs.EditValueSet_2']}</h1>
            <s:div id="valueSetGlobalDiv">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        <h:outputText
                                value="#{messages['gazelle.svs.ValueSetEdition']} #{messages['net.ihe.gazelle.simulators.OID']} - #{valueSetManagerSVS.selectedValueSet.id}"/>
                    </ui:define>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Purpose']}</ui:define>
                                <ui:param name="id" value="purpose"/>
                                <h:inputText styleClass="form-control" id="purpose"
                                             value="#{valueSetManagerSVS.selectedValueSet.purpose}"/>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                <ui:param name="id" value="displayName"/>
                                <h:inputText styleClass="form-control" id="displayName"
                                             value="#{valueSetManagerSVS.selectedValueSet.displayName}"
                                />
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Definition']}</ui:define>
                                <ui:param name="id" value="definition"/>
                                <h:inputText styleClass="form-control" id="definition"
                                             value="#{valueSetManagerSVS.selectedValueSet.definition}"/>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.version']}</ui:define>
                                <ui:param name="id" value="version"/>
                                <h:inputText styleClass="form-control" id="version"
                                             value="#{valueSetManagerSVS.selectedValueSet.version}"
                                />
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.SourceURI']}</ui:define>
                                <ui:param name="id" value="sourceURI"/>
                                <h:inputText styleClass="form-control" id="sourceURI"
                                             value="#{valueSetManagerSVS.selectedValueSet.sourceURI}"/>
                            </ui:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Source']}</ui:define>
                                <ui:param name="id" value="source"/>
                                <h:inputText styleClass="form-control" id="source"
                                             value="#{valueSetManagerSVS.selectedValueSet.source}"
                                />
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Binding']}</ui:define>
                                <ui:param name="id" value="binding"/>
                                <h:selectOneMenu styleClass="form-control" id="binding"
                                                 value="#{valueSetManagerSVS.selectedValueSet.binding}">
                                    <f:selectItems value="#{valueSetManagerSVS.getAvailableBindingsAsItem()}"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Status']}</ui:define>
                                <ui:param name="id" value="status"/>
                                <h:selectOneMenu styleClass="form-control" id="status"
                                                 defaultLabel="#{valueSetManagerSVS.selectedValueSet.status}"
                                                 value="#{valueSetManagerSVS.selectedValueSet.status}">
                                    <f:selectItem itemValue="Active"/>
                                    <f:selectItem itemValue="Inactive"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.Type']}</ui:define>
                                <ui:param name="id" value="type"/>
                                <h:selectOneMenu styleClass="form-control" id="type"
                                                 value="#{valueSetManagerSVS.selectedValueSet.type}">
                                    <f:selectItems value="#{valueSetManagerSVS.getAvailableTypesAsItem()}"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.EffectiveDate']}</ui:define>
                                <ui:param name="id" value="effectiveDate"/>
                                <rich:calendar id="effectiveDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.effectiveDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.ExpirationDate']}</ui:define>
                                <ui:param name="id" value="expirationDate"/>
                                <rich:calendar id="expirationDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.expirationDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.CreationDate']}</ui:define>
                                <ui:param name="id" value="creationDate"/>
                                <rich:calendar id="creationDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.creationDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                        <div class="col-lg-6">
                            <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:define name="label">#{messages['gazelle.svs.RevisionDate']}</ui:define>
                                <ui:param name="id" value="revisionDate"/>
                                <rich:calendar id="revisionDate"
                                               value="#{valueSetManagerSVS.selectedValueSet.revisionDateUtil}"
                                               locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy"
                                               showApplyButton="false" style="width:200px"/>
                            </ui:decorate>
                        </div>
                    </div>
                    <br/>
                    <s:div rendered="#{not empty valueSetManagerSVS.selectedValueSet.getIdDB()}">
                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">#{messages['gazelle.svs.Groups']}</ui:define>
                            <s:div id="divTableGroup"
                                   rendered="#{not valueSetManagerSVS.getBoolGroupListEmpty(valueSetManagerSVS.selectedValueSet)}">
                                <rich:dataTable value="#{valueSetManagerSVS.selectedValueSet.group}" var="gp"
                                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                id="tableGroups" render="ds">
                                    <g:column width="170px" label="OID">
                                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}
                                        </ui:define>
                                        <h:outputText value="#{gp.iD}"/>
                                    </g:column>
                                    <g:column label="displayName">
                                        <ui:define name="header">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                        <h:outputText value="#{gp.displayName}"/>
                                    </g:column>
                                    <g:column label="sourceOrganization">
                                        <ui:define name="header">#{messages['gazelle.svs.SourceOrganization']}
                                        </ui:define>
                                        <h:outputText value="#{gp.sourceOrganization}"/>
                                    </g:column>
                                    <g:column>
                                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                                        <div class="gzl-never-wrap">
                                            <a4j:commandLink action="#{valueSetManagerSVS.displayGroup(gp)}"
                                                             title="#{messages['gazelle.svs.MoreDetails']}"
                                                             target="_blank">
                                                <span class="gzl-icon-search"></span>
                                            </a4j:commandLink>
                                        </div>
                                    </g:column>
                                    <f:facet name="footer">
                                        <ui:include src="/util/datatableFooter.xhtml">
                                            <ui:param name="dataScrollerId" value="ds"/>
                                            <ui:param name="dataTableId" value="tableGroups"/>
                                        </ui:include>
                                    </f:facet>
                                </rich:dataTable>
                            </s:div>
                            <s:div id="divTableGroupEmpty"
                                   rendered="#{valueSetManagerSVS.getBoolGroupListEmpty(valueSetManagerSVS.selectedValueSet)}">
                                <h:outputText>#{messages['gazelle.svs.NoGroupForThisValueSet']}</h:outputText>
                            </s:div>
                            <ui:define name="panel_footer">
                                <a4j:commandButton value="#{messages['gazelle.svs.GoToGroupBrowser']}"
                                                   action="/browser/groupBrowser.seam"
                                                   styleClass="gzl-btn"/>
                            </ui:define>
                        </ui:decorate>
                    </s:div>

                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.svs.SaveValueSet']}"
                                           styleClass="gzl-btn-blue"
                                           action="#{valueSetManagerSVS.saveEditValueSet()}"
                                           render="valueSetGlobalDiv"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.DeleteValueSet_2']}"
                                           styleClass="gzl-btn-red"
                                           action="#{valueSetManagerSVS.setSelectedValueSet(valueSetManagerSVS.selectedValueSet)}"
                                           oncomplete="jq162('#deleteValueSetPopup').modal('show');"
                                           rendered="#{not empty valueSetManagerSVS.selectedValueSet.getIdDB()}"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                           styleClass="gzl-btn"
                                           action="/browser/valueSetBrowser.seam"
                                           immediate="true" execute="@this"/>
                    </ui:define>

                </ui:decorate>
            </s:div>
        </h:form>
        <h:form id="conceptListEditionForm">
            <s:div id="divConceptListEdition">
                <s:div rendered="#{not empty valueSetManagerSVS.selectedValueSet.getIdDB()}">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.svs.ConceptListAndConcept']}</ui:define>

                        <a4j:region>
                            <a4j:commandButton value="#{messages['gazelle.svs.TranslationPanel']}"
                                               styleClass="gzl-btn"
                                               actionListener="#{valueSetManagerSVS.setTranslationPanel(true)}"
                                               rendered="#{(not empty valueSetManagerSVS.selectedValueSet.conceptList) and (valueSetManagerSVS.translationPanel == false)}"
                                               render="divConceptListEdition"/>
                            <a4j:commandButton value="#{messages['gazelle.svs.CloseTranslationPanel']}"
                                               styleClass="gzl-btn"
                                               actionListener="#{valueSetManagerSVS.setTranslationPanel(false)}"
                                               rendered="#{(not empty valueSetManagerSVS.selectedValueSet.conceptList) and (valueSetManagerSVS.translationPanel == true)}"
                                               oncomplete="document.location.reload(true)"
                                               render="divConceptListEdition"/>
                        </a4j:region>

                        <s:div id="divNavigationLink" style="font-size: 13px"
                               rendered="#{not empty valueSetManagerSVS.selectedValueSet.conceptList}">
                            <a4j:region>
                                <h:outputText value="#{messages['gazelle.svs.FastLink']} " style="font-weight:bold"/>
                                <a4j:repeat value="#{valueSetManagerSVS.selectedValueSet.conceptList}" var="conceptlist"
                                            rendered="#{not empty valueSetManagerSVS.selectedValueSet.conceptList}">
                                    <a4j:commandLink value="#{conceptlist.lang}"
                                                     action="#{valueSetManagerSVS.openedConceptList(conceptlist.lang)}"
                                                     onclick="window.location.href='#anchor_#{conceptlist.lang}';"
                                                     render="translateTableRow"/>
                                    <h:outputText value=" , "/>
                                </a4j:repeat>
                                <h:outputText value=" (#{messages['gazelle.svs.ClickOnLink']}) "/>
                            </a4j:region>
                        </s:div>
                        <s:div id="divCompareConceptListPart">
                            <s:div rendered="#{(not empty valueSetManagerSVS.selectedValueSet.conceptList) and (valueSetManagerSVS.translationPanel == true)}">

                                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                                    <ui:define name="panel_title">#{messages['gazelle.svs.TranslationPanel_2']}
                                    </ui:define>
                                    <s:div id="divLinkDisplayLanguage" style="font-size: 13px">
                                        <h:outputText value="#{messages['gazelle.svs.DisplayConceptList']} "
                                                      style="font-weight:bold"/>
                                        <a4j:repeat value="#{valueSetManagerSVS.selectedValueSet.conceptList}"
                                                    var="conceptlist">
                                            <a4j:commandLink value="#{conceptlist.lang} " event="click"
                                                             action="#{valueSetManagerSVS.changeLangTranslation(conceptlist.lang)}"
                                                             render="divCompareConceptListPart"/>
                                        </a4j:repeat>
                                    </s:div>

                                    <s:div styleClass="row" id="translateTableRow">
                                        <div class="col-lg-3">
                                            <rich:dataTable
                                                    value="#{valueSetManagerSVS.selectedValueSet.conceptList[0].concept}"
                                                    var="currentConcept">
                                                <f:facet name="header">
                                                    <h:outputText value="#{messages['gazelle.svs.Code']}"/>
                                                </f:facet>
                                                <g:column width="100px">
                                                    <div style="overflow: hidden; width: 100px; height: 28px;">
                                                        <h:outputText value="#{currentConcept.code}"/>
                                                    </div>
                                                </g:column>
                                            </rich:dataTable>
                                        </div>
                                        <a4j:repeat value="#{valueSetManagerSVS.selectedValueSet.conceptList}"
                                                    var="clt" id="table_TL">
                                            <div class="col-lg-3">
                                                <rich:dataTable value="#{clt.concept}" var="ceTranslate"
                                                                rendered="#{valueSetManagerSVS.getTDExist(clt.lang)}">
                                                    <f:facet name="header">
                                                        <h:outputText value="#{clt.lang}"/>
                                                    </f:facet>
                                                    <g:column width="200px">
                                                        <s:div style="overflow: hidden; width: 200px; height: 28px;">
                                                            <a4j:region>
                                                                <rich:inplaceInput
                                                                        value="#{ceTranslate.displayName}"
                                                                        showControls="true" minInputWidth="300px">
                                                                    <a4j:ajax event="change"
                                                                              listener="#{valueSetManagerSVS.saveSpecificConcept(ceTranslate)}"/>
                                                                </rich:inplaceInput>
                                                            </a4j:region>
                                                        </s:div>
                                                    </g:column>
                                                </rich:dataTable>
                                            </div>
                                        </a4j:repeat>
                                    </s:div>
                                </ui:decorate>
                            </s:div>
                        </s:div>

                        <s:div id="divCurrentConceptList" rendered="#{valueSetManagerSVS.newConceptBool}">
                            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                                <ui:define name="panel_title">#{messages['gazelle.svs.AddConcept']}</ui:define>

                                <div class="row">

                                    <div class="col-lg-4">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['gazelle.svs.Code']}</ui:define>
                                            <ui:param name="id" value="code"/>
                                            <h:inputText styleClass="form-control" id="code" required="true"
                                                         value="#{valueSetManagerSVS.newConcept.code}"/>
                                        </ui:decorate>
                                    </div>
                                    <div class="col-lg-4">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['gazelle.svs.DisplayName_2']}
                                            </ui:define>
                                            <ui:param name="id" value="displayName"/>
                                            <h:inputText styleClass="form-control" id="displayName"
                                                         value="#{valueSetManagerSVS.newConcept.displayName}"
                                            />
                                        </ui:decorate>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-lg-4">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['gazelle.svs.CodeSystem_2']}
                                            </ui:define>
                                            <ui:param name="id" value="codeSystem"/>
                                            <h:inputText styleClass="form-control" id="codeSystem"
                                                         value="#{valueSetManagerSVS.newConcept.codeSystem}"/>
                                        </ui:decorate>
                                    </div>
                                    <div class="col-lg-4">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">
                                                #{messages['gazelle.svs.CodeSystemVersion_2']}
                                            </ui:define>
                                            <ui:param name="id" value="codeSystemVersion"/>
                                            <h:inputText styleClass="form-control" id="codeSystemVersion"
                                                         value="#{valueSetManagerSVS.newConcept.codeSystemVersion}"/>
                                        </ui:decorate>
                                    </div>
                                    <div class="col-lg-4">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['gazelle.svs.CodeSystemName_2']}
                                            </ui:define>
                                            <ui:param name="id" value="codeSystemName"/>
                                            <h:inputText styleClass="form-control" id="codeSystemName"
                                                         value="#{valueSetManagerSVS.newConcept.codeSystemName}"/>
                                        </ui:decorate>
                                    </div>
                                </div>
                                <ui:define name="panel_footer">
                                    <a4j:commandButton actionListener="#{valueSetManagerSVS.addConceptToList()}"
                                                       styleClass="gzl-btn-blue"
                                                       value="#{messages['gazelle.svs.AddConcept']}"
                                                       oncomplete="document.location.reload(true)"
                                                       render="panelValueSetEdition divConceptListEdition divConceptListRepeat"/>
                                </ui:define>
                            </ui:decorate>
                        </s:div>
                        <s:div id="divConceptListRepeat">
                            <a4j:repeat value="#{valueSetManagerSVS.selectedValueSet.conceptList}" var="clist"
                                        rendered="#{not empty valueSetManagerSVS.selectedValueSet.conceptList}">
                                <a name="anchor_#{clist.lang}"/>
                                <s:div>
                                    <ui:include src="/templates/conceptListTable.xhtml">
                                        <ui:param name="conceptListToDisplay" value="#{clist}"/>
                                        <ui:param name="editMode" value="#{clist.mainList}"/>
                                        <ui:param name="id" value="#{clist.lang}"/>
                                    </ui:include>
                                </s:div>
                            </a4j:repeat>
                        </s:div>
                        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                            <ui:param name="popup_id" value="panelSelectLanguage"/>
                            <ui:define name="popup_title">#{messages['gazelle.svs.AddNewConceptList']}</ui:define>

                            <s:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="lang"/>
                                <ui:define name="label">#{messages['gazelle.svs.Lang']}</ui:define>
                                <h:inputText id="lang" value="#{valueSetManagerSVS.currentConceptList.lang}"
                                             styleClass="form-control"/>
                            </s:decorate>

                            <ui:define name="popup_footer">
                                <a4j:commandButton value="#{messages['gazelle.simulator.close']}"
                                                   styleClass="btn btn-default"
                                                   oncomplete="jq162('#panelSelectLanguage').modal('hide');"/>
                                <a4j:commandButton value="#{messages['gazelle.svs.Add']}"
                                                   action="#{valueSetManagerSVS.saveConceptList()}"
                                                   styleClass="btn btn-primary"
                                                   oncomplete="jq162('#panelSelectLanguage').modal('hide');"/>
                            </ui:define>
                        </ui:decorate>
                        <ui:define name="panel_footer">
                            <a4j:commandButton value="#{messages['gazelle.svs.AddNewConceptList']}"
                                               styleClass="gzl-btn-blue"
                                               rendered="#{empty valueSetManagerSVS.selectedValueSet.conceptList}"
                                               actionListener="#{valueSetManagerSVS.createNewConceptList()}"
                                               onclick="jq162('#panelSelectLanguage').modal('show');"
                                               id="buttonCreateNCL" render="conceptListEdition"/>
                            <a4j:commandButton value="#{messages['gazelle.svs.AddNewTranslation']}"
                                               styleClass="gzl-btn-blue"
                                               rendered="#{not empty valueSetManagerSVS.selectedValueSet.conceptList}"
                                               actionListener="#{valueSetManagerSVS.createNewConceptList()}"
                                               onclick="jq162('#panelSelectLanguage').modal('show');"
                                               id="buttonCreateTranslationNCL" render="conceptListEdition"/>
                            <a4j:commandButton value="#{messages['gazelle.svs.AddConcept']}"
                                               styleClass="gzl-btn-blue"
                                               actionListener="#{valueSetManagerSVS.setNewConceptBool(true)}"
                                               rendered="#{(not empty valueSetManagerSVS.selectedValueSet.conceptList) and (valueSetManagerSVS.newConceptBool != true)}"
                                               render="divConceptListEdition"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </s:div>

            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteValueSetPopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    #{messages['net.ihe.gazelle.simulators.DeleteValueSet']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.svssimulator.AreYouSureYouWantToDeleteTheValueset']} #{valueSetManagerSVS.selectedValueSet.id} ?"/>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.Yes']}"
                                       action="#{valueSetManagerSVS.deleteSelectedValueSet()}"
                                       oncomplete="jq162('#deleteValueSetPopup').modal('hide');"
                                       render="divTableValueSet"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.No']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deleteValueSetPopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>

            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteConceptListPopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    #{messages['net.ihe.gazelle.svssimulator.DeleteConceptList']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="deleteConceptListTextDiv">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.svssimulator.AreYouSureYouWantToDeleteTheConceptList']} #{valueSetManagerSVS.selectedConceptList.lang} ?"/>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.Yes']}"
                                       action="#{valueSetManagerSVS.deleteSelectedConceptList()}"
                                       oncomplete="jq162('#deleteConceptListPopup').modal('hide');"
                                       render="divConceptListRepeat"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.No']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deleteConceptListPopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>


            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteConceptPopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    #{messages['net.ihe.gazelle.svssimulator.DeleteSelectedConcept']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="deleteConceptTextDiv">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.svssimulator.AreYouSureToDeleteTheConcept']} #{valueSetManagerSVS.selectedConcept.code} ?"/>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.Yes']}"
                                       action="#{valueSetManagerSVS.deleteSelectedConcept()}"
                                       oncomplete="jq162('#deleteConceptPopup').modal('hide');"
                                       render="divConceptListRepeat"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.No']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deleteConceptPopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>

        </h:form>
    </ui:define>
</ui:composition>